using System;
using System.Collections.Generic;
using UnityEngine;

public class BGRenderSetting : MonoBehaviour
{
	public void Awake()
	{
		if (this.RenderDataList == null || this.RenderDataList.Count <= 0)
		{
			return;
		}
		for (int i = 0; i < this.RenderDataList.Count; i++)
		{
			RenderData renderData = this.RenderDataList[i];
			if (renderData != null && !(renderData.Mesh == null) && !(renderData.Mesh.material == null))
			{
				renderData.Mesh.material.renderQueue = renderData.RenderQueue;
			}
		}
	}

	public List<RenderData> RenderDataList;
}
